

/************************************************
  @brief WiFi Codentials
************************************************/


//Static IP address configuration
IPAddress staticIP(192, 168, 1, 140); //ESP static ip
IPAddress gateway(192, 168, 1, 1);   //IP Address of your WiFi Router (Gateway)
IPAddress subnet(255, 255, 255, 0);  //Subnet mask
IPAddress dns1(8, 8, 8, 8);  //DNS
IPAddress dns2(80,58,61,254);  //DNS


const char* ssid = "MOVISTAR_96E1";
const char* password = "MkNyxnxGUHkulcCWY9zs";
const char * hostName = "Gigi's_Neo_Pixel_Matrix";
const char* http_username = "admin";
const char* http_password = "admin";

String sIPAddress;


/************************************************
  @brief Nepixel Bitmap
************************************************/


uint8_t Bitmap[]
	{   // 2: smiley
	    B00111100,
	    B01000010,
	    B10100101,
	    B10000001,
	    B10100101,
	    B10011001,
	    B01000010,
	    B00111100 };
/************************************************
  @brief defines
************************************************/

#define NeoPixelPIN 0
#define NeoPixelTileWidth  10
#define NeoPixelTileHeight  8
#define NeoTilesModulesX 4
#define NeoTilesModulesY 1
#define NeoPixelMatrixWidth  NeoPixelTileWidth * NeoTilesModulesX

#define Delay10 10
#define Delay25 25
#define Delay50 50
#define Delay100 100
#define LedStatus1 16
#define LedStatus2 14
#define TOGGLE(x) digitalWrite(x, digitalRead(x) ? LOW : HIGH)

/************************************************
  @brief integer
************************************************/

uint32_t ToggleCounter = 0;
int16_t ColorRGB16 = 0x1000;
int16_t MerkerColorRGB16 = 0;
uint32_t ClientID = 0;
uint64_t Millis = 0;

/************************************************
  @brief booleans
************************************************/

bool bToggleMsg = false;



/************************************************
  @brief arrays
************************************************/

char Buffer[100];


/************************************************
  @brief struct 
************************************************/

struct Websocket_s {
bool bTriggerWebsocketMsg = false;
String WebsocketMsg;
} sWebSocket;



class MatrixMessage_c {
bool bTriggerPattern = false;	
uint32_t Color;
uint32_t BkgColor;
uint16_t Pattern;
String Text;

} _MatrixMessage;


struct MatrixMessage_s {
bool bTriggerPattern = false;	
uint16_t Color;
uint16_t BkgColor;
uint16_t Pattern;
String Text;

}sMatrixMessage;
